// camera.h

class CCamera
{
public:
	CCamera(void);
	~CCamera(void);

	void Loop(void);
	bool Init(void);
	void Exit(void);
	void Reset(void);

	void MoveCameraLeftRight(irr::s32 iPosDelta);
	void MoveCameraUpDown(irr::s32 iPosDelta);

private:
	bool CreateCameraAndLight(void);
	void SetCameraPosition(irr::core::vector3df vPos);

	
};

