// debug.h

class CDebug
{
public:
	CDebug(void);
	~CDebug(void);

	void Loop(void);
	bool Init(void);
	void Exit(void);
	void Reset(void);

	void ToggleDebugWindow(void);

private:

	void CreateDebugWindow(void);
	void DeleteDebugWindow(void);

	irr::gui::IGUIWindow* m_pDebugWindow;
	irr::gui::IGUIStaticText* m_pDebugText;
};

