// player.h

class CPlayer
{
public:
	CPlayer(void);
	~CPlayer(void);

	bool Loop(void); // return true if player has finished move
	bool Init(irr::s32 i);
	void Exit(void);
	void Reset(void);

private:
	bool MakeActive(void);
	bool Wait1(void);
	bool Roll(void);
	bool Move(void);
	bool Wait2(void);
	bool MakeInactive(void);

	PLAYERSTATE m_State;
	irr::s32 m_PlayerNumber;
	irr::s32 m_DiceResult;

};

