// gui.h

class CGui
{
public:
	CGui(void);
	~CGui(void);

	void Loop(void);
	bool Init(void);
	void Exit(void);
	void Reset(void);

	void ToggleF1Window(void);
	irr::gui::IGUIFont* GetGuiFont(void);
	void SetPauseSign(bool bActive);
	void SetRunningGame(bool bIsRunning);
	void ShowWinner(irr::s32 iPlayer, bool bShowIt);

	irr::gui::CGUIexScrollWindow *m_pHelpTextBox;

private:
	irr::gui::IGUIFont*		m_pFont;
	irr::gui::IGUIButton*	m_pCamButton[4];    // left/right/up/down
	irr::gui::IGUIButton*	m_pGameButton[2];   // start auto/quit
	irr::gui::IGUIButton*	m_pInGameButton[2]; // pause running game / abort running game

	irr::gui::IGUIWindow*   m_pWinWindow;

	irr::scene::IAnimatedMeshSceneNode *m_pZzz[3]; // pausing sign

	bool InitCamButtons(void);
	bool InitGameButtons(void);
	bool InitInGameButtons(void);
	bool InitDemoSign(void);

};

